#!/usr/bin/env bash

########################
### Load environment ###
########################
module load cwlexec/latest
module load gatk/4.0.2.1
module load node/4.4.4
module load python/3.5.2
module load bwa/0.7.15
export LSB_DEFAULTQUEUE=short

export PATH=$(pwd)/bin:$PATH

###########################
### Create the yml file ###
###########################
cat > input.yml <<EOF
input_files:
  - class: File
    path: ./data/input1.txt
  - class: File
    path: ./data/input2.txt
reffa:
    class: File
    path: ./data/reference/GRCh37-lite/GRCh37-lite.fa
threads: 2
EOF

####################
### Run the code ###
####################
mkdir -p output.tmp
#cwlexec --outdir output.tmp --preserve-environment PATH --preserve-environment LD_LIBRARY_PATH \
cwlexec -X --outdir output.tmp --preserve-environment PATH --preserve-environment LD_LIBRARY_PATH \
	cwl/scatter_process.cwl input.yml 1> cwlexec.out 2> cwlexec.err

cwltool --preserve-environment LD_LIBRARY_PATH cwl/scatter_process.cwl input.yml 1> cwltool.out 2> cwltool.err
